<?php
if (!defined('__TYPECHO_ROOT_DIR__')) exit;

function themeConfig($form)
{
    $logoUrl = new \Typecho\Widget\Helper\Form\Element\Text(
        'logoUrl',
        null,
        'https://www.typecho.wiki/demo/logo.png',
        _t('站点 LOGO 地址'),
        _t('在这里填入一个图片 URL 地址, 以在网站标题前加上一个 LOGO')
    );

    $form->addInput($logoUrl);

    $sidebarBlock = new \Typecho\Widget\Helper\Form\Element\Checkbox(
        'sidebarBlock',
        [
            'ShowRecentPosts'    => _t('显示最新文章'),
            'ShowRecentComments' => _t('显示最近回复'),
            'ShowCategory'       => _t('显示分类'),
            'ShowArchive'        => _t('显示归档'),
            'ShowOther'          => _t('显示其它杂项')
        ],
        ['ShowRecentPosts', 'ShowRecentComments', 'ShowCategory',],
        _t('侧边栏显示')
    );

    $form->addInput($sidebarBlock->multiMode());
}

/*
function themeFields($layout)
{
    $logoUrl = new \Typecho\Widget\Helper\Form\Element\Text(
        'logoUrl',
        null,
        null,
        _t('站点LOGO地址'),
        _t('在这里填入一个图片URL地址, 以在网站标题前加上一个LOGO')
    );
    $layout->addItem($logoUrl);
}
*/


// 输出文章缩略图
function showThumb($widget){ 
    // 当文章无图片时的默认缩略图
    //$rand = rand(1,5); // 随机 1-5 张缩略图
    //$random = $widget->widget('Widget_Options')->themeUrl . '/img/sj/' . $rand . '.jpg'; // 随机缩略图路径
    // $random = $widget->widget('Widget_Options')->themeUrl . '/img/thumbnail.png'; //
	$content = $widget->text;
    $pattern = '/\<img.*?src\=\"(.*?)\"[^>]*>/i'; 

	if (preg_match_all($pattern, $widget->content, $thumbUrl)) {
	    // 获取图片的 MIME 类型
        $imageInfo = getimagesize($thumbUrl[1][0]);
        $mimeType = $imageInfo['mime'];

        // 判断是否为 WebP 格式
        if ($mimeType == 'image/webp') {
            return $thumbUrl[1][0];
        } else {
            return Helper::options()->themeUrl . '/timthumb.php?src='.$thumbUrl[1][0];
        }
    } else {
        return $random='';
    }
}